using System;

public class Program
{
    public static void Main(string[] args)
    {
        int a, b, temp;

        Console.Write("input a:");
        a = int.Parse(Console.ReadLine());
        Console.Write("input b:");
        b = int.Parse(Console.ReadLine());

        temp = a;
        while (temp != b)
        {
            a = temp;
            if (a < b)
            {
                temp = a;
                a = b;
                b = temp;
            }
            temp = a - b;
            a = b;

        }
    }
}
